# Interface ICefViewDelegateEvents

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefViewDelegateEvents = interface(IInterface)`

## Description

Custom interface used to handle the ICefViewDelegate events.

###### Attributes

GUID['{74DDDB37-8F08-4672-BDB6-55CA2CD374ED}']

## Hierarchy

- IInterface
- ICefViewDelegateEvents

## Overview

### Methods

| `procedure doOnGetPreferredSize(const view: ICefView; var aResult : TCefSize);`
| `procedure doOnGetMinimumSize(const view: ICefView; var aResult : TCefSize);`
| `procedure doOnGetMaximumSize(const view: ICefView; var aResult : TCefSize);`
| `procedure doOnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer);`
| `procedure doOnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView);`
| `procedure doOnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView);`
| `procedure doOnWindowChanged(const view: ICefView; added: boolean);`
| `procedure doOnLayoutChanged(const view: ICefView; new_bounds: TCefRect);`
| `procedure doOnFocus(const view: ICefView);`
| `procedure doOnBlur(const view: ICefView);`
| `procedure doOnThemeChanged(const view: ICefView);`
| `procedure doCreateCustomView;`
| `function GetComponentID: integer;`

### Properties

| `property ComponentID : integer read GetComponentID;`

## Description

### Methods

| `procedure doOnGetPreferredSize(const view: ICefView; var aResult : TCefSize);`
ICefViewDelegate

| `procedure doOnGetMinimumSize(const view: ICefView; var aResult : TCefSize);`
This item has no description.

| `procedure doOnGetMaximumSize(const view: ICefView; var aResult : TCefSize);`
This item has no description.

| `procedure doOnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer);`
This item has no description.

| `procedure doOnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView);`
This item has no description.

| `procedure doOnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView);`
This item has no description.

| `procedure doOnWindowChanged(const view: ICefView; added: boolean);`
This item has no description.

| `procedure doOnLayoutChanged(const view: ICefView; new_bounds: TCefRect);`
This item has no description.

| `procedure doOnFocus(const view: ICefView);`
This item has no description.

| `procedure doOnBlur(const view: ICefView);`
This item has no description.

| `procedure doOnThemeChanged(const view: ICefView);`
This item has no description.

| `procedure doCreateCustomView;`
Custom

| `function GetComponentID: integer;`
This item has no description.

### Properties

| `property ComponentID : integer read GetComponentID;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.